<?php

namespace App\Libs\Pay;


/**
 * @method static \App\Libs\Pay\Merchants\UnionPay unionPay(array $data)
 * @method static \App\Libs\Pay\Merchants\Official official(array $data)
 * @method static \App\Libs\Pay\Merchants\AliPay aliPay()
 */
class PayFactory
{
	public function __callStatic($name, $arguments)
	{
		$namesapce = "\\App\\Libs\\Pay\\Merchants";
		$application = $namesapce . "\\" . ucfirst($name);
		return new $application(...$arguments);
	}
}
